Package org.eclipse.lemminx.extensions.filepath.participants

## Class FilePathCompletionParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter
  - - org.eclipse.lemminx.extensions.filepath.participants.FilePathCompletionParticipant

All Implemented Interfaces:
  `ICompletionParticipant`

    public class FilePathCompletionParticipant
    extends CompletionParticipantAdapter

Extension to support completion for file, folder path in:

- attribute value:

       <item path="file:///C:/folder" />
       <item path="file:///C:/folder file:///C:/file.txt" />
       <item path="/folder" />

- DTD DOCTYPE SYSTEM

       <!DOCTYPE parent SYSTEM "file.dtd">

### Constructor Summary

Constructors
`FilePathCompletionParticipant​(FilePathPlugin filePathPlugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onAttributeValue​(String value, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collects and stores attribute value completion items within the provided completion response `response`
`void` `onDTDSystemId​(String value, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collects and stores systemId completion items within the provided completion response `response`
`void` `onXMLContent​(ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter

`onAttributeName, onTagOpen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.completion.ICompletionParticipant

`getResolveCompletionItemParticipant`

### Constructor Detail

#### FilePathCompletionParticipant

    public FilePathCompletionParticipant​(FilePathPlugin filePathPlugin)

### Method Detail

#### onAttributeValue

    public void onAttributeValue​(String value,
                                 ICompletionRequest request,
                                 ICompletionResponse response,
                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                          throws Exception

Description copied from interface: `ICompletionParticipant`
Collects and stores attribute value completion items within the provided completion response `response`

Specified by:
  `onAttributeValue` in interface `ICompletionParticipant`
Overrides:
  `onAttributeValue` in class `CompletionParticipantAdapter`
Parameters:
  `value` - the attribute value before the offset in which completion was invoked
  `request` - the completion request
  `response` - the completion response
Throws:
  `Exception`

#### onXMLContent

    public void onXMLContent​(ICompletionRequest request,
                             ICompletionResponse response,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                      throws Exception

Specified by:
  `onXMLContent` in interface `ICompletionParticipant`
Overrides:
  `onXMLContent` in class `CompletionParticipantAdapter`
Throws:
  `Exception`

#### onDTDSystemId

    public void onDTDSystemId​(String value,
                              ICompletionRequest request,
                              ICompletionResponse response,
                              org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                       throws Exception

Description copied from interface: `ICompletionParticipant`
Collects and stores systemId completion items within the provided completion response `response`

Specified by:
  `onDTDSystemId` in interface `ICompletionParticipant`
Overrides:
  `onDTDSystemId` in class `CompletionParticipantAdapter`
Parameters:
  `value` - the systemId value before the offset in which completion was invoked
  `request` - the completion request
  `response` - the completion response
Throws:
  `Exception`